#
# Conditional build:
%bcond_with	tests	# unit tests

Summary:	Free software implementation of IDNA2008
Summary(pl.UTF-8):	Wolnodostępna implementacja IDNA2008
Name:		libidn2
Version:	2.3.0
Release:	1
License:	LGPL v3+ or GPL v2+ (library), GPL v3+ (utilities)
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libidn/%{name}-%{version}.tar.lz
# Source0-md5:	7eb6fcb925672465e7377b0917b6682a
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
URL:		http://www.gnu.org/software/libidn/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-tools >= 0.19.3
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	help2man
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libunistring-devel
BuildRequires:	lzip
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo >= 4.7
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libidn2 is a free software implementation of internationalized domain
names (IDNA2008).

%description -l pl.UTF-8
Libidn2 to wolnodostępna implementacja specyfikacji
umiędzynarodowionych nazw domen (IDNA2008).

%package devel
Summary:	Header files for libidn2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libidn2
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libunistring-devel

%description devel
Header files for libidn2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libidn2.

%package static
Summary:	Static libidn2 library
Summary(pl.UTF-8):	Statyczna biblioteka libidn2
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libidn2 library.

%description static -l pl.UTF-8
Statyczna biblioteka libidn2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4 -I unistring/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.md
%attr(755,root,root) %{_bindir}/idn2
%attr(755,root,root) %{_libdir}/libidn2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libidn2.so.0
%{_mandir}/man1/idn2.1*
%{_infodir}/libidn2.info*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libidn2.so
%{_libdir}/libidn2.la
%{_includedir}/idn2.h
%{_pkgconfigdir}/libidn2.pc
%{_mandir}/man3/idn2_*.3*
%{_gtkdocdir}/libidn2

%files static
%defattr(644,root,root,755)
%{_libdir}/libidn2.a
%changelog
* Mon Nov 18 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libidn2.git;a=log;h=master

* Mon Nov 18 2019 Jakub Bogusz <qboosh@pld-linux.org> eb78219
- updated to 2.3.0

* Tue May 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 71e8563
- updated to 2.2.0
- updated pl.po-update patch

* Tue Feb 19 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> a7d9236
- Revert "Use lua in %post scripts to break dependency loop"

* Tue Feb 19 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> f4326ba
- Use lua in %post scripts to break dependency loop

* Fri Feb 08 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 416e476
- run tests

* Fri Feb 08 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ee0d045
- up to 2.1.1; soname change reverted upstream

* Tue Jan 15 2019 Adam Gołębiowski <adamg@pld-linux.org> 418546b
- updated to 2.1.0 (soname change)

* Sat Jun 09 2018 Jakub Bogusz <qboosh@pld-linux.org> 176e065
- package locale files
- added pl.po-update patch (one fuzzy entry)
- release 2

* Sat Jun 09 2018 Jakub Bogusz <qboosh@pld-linux.org> ca34063
- updated to 2.0.5

* Sat Nov 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 9aefb84
- updated to 2.0.4

* Wed Jul 26 2017 Jakub Bogusz <qboosh@pld-linux.org> 1266e5a
- updated to 2.0.3

* Thu May 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 843427c
- updated to 2.0.2
- updated info patch
- .pc file introduced

* Wed Feb 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 13b136a
- updated to 0.16
- updated info patch

* Sun Jan 22 2017 Jan Rękorajski <baggins@pld-linux.org> bea6777
- release 2 (by relup.sh)

* Sat Jun 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 5fc826e
- updated to 0.10

* Sun Sep 01 2013 Jakub Bogusz <qboosh@pld-linux.org> b266bac
- updated to 0.9

* Wed Oct 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 8e5ab1b
- updated to 0.8

* Sun Aug 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 3a23a57
- updated to 0.7

* Fri May 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 9add87b
- updated to 0.6

* Tue May 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 95c82a1
- new

